/**
 * Neociclo Accord, Open Source B2Bi Middleware
 * Copyright (C) 2005-2010 Neociclo, http://www.neociclo.com
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * $Id: SignedDeliveryNotification.java 462 2010-07-02 11:15:07Z rmarins $
 */
package org.neociclo.odetteftp.protocol.v20;

import org.neociclo.odetteftp.protocol.DeliveryNotification;

/**
 * @author Rafael Marins
 * @version $Rev: 462 $ $Date: 2010-07-02 08:15:07 -0300 (Fri, 02 Jul 2010) $
 */
public interface SignedDeliveryNotification extends DeliveryNotification {

    byte[] getVirtualFileHash();

    byte[] getNotificationSignature();

}